Subject: Re: [dhcwg] Robert Wilton's No Objection on draft-ietf-dhc-dhcpv6-yang-24: (with COMMENT)

From: [email-masked]
Date: Fri, 28 Jan 2022 15:54:10 +0100

Hi Rob,

First of all, many thanks for your review and my apologies that it’s taken so long for me to
reply. The suggestion you have made will be in the next update.

Thanks,
Ian

> On 16. Dec 2021, at 15:48, Robert Wilton via Datatracker <[email-masked]> wrote:
> 
> Robert Wilton has entered the following ballot position for
> draft-ietf-dhc-dhcpv6-yang-24: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/blog/handling-iesg-ballot-positions/
> for more information about how to handle DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-dhc-dhcpv6-yang/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Thanks for publishing another YANG module.
> 
> I found this document well written, and in particular I thought that the
> section on options extensibility and examples in the appendix to be thoughtful
> and helpful.  I ​only have a few minor (non blocking) comments on the structure
> of the YANG module that you may wish to consider:
> 
> 1. You may want to consider putting the counters under a container to group
> them together, and perhaps to make it easier for a targeted telemetry
> subscription.

[if - Added statistics containers for client/server and relay (global and per-interface)]

> 
> 2. The paths on your RPCs and top level Notifications are using relative paths
> - it would probably be clearer to use absolute paths here.

[if - Changed to absolute.]

> 
> 3. I would remove "container" from the Option description strings, to improve
> help string readability.

[if - removed]

> 
> 4. Please make sure that you fix the 3 idnits YANG warnings (e.g., alignment of
> the revision-date to the extracted file date).

[if - Fixed]

> 
> Perhaps in a future draft the IETF will manage to standardize common
> configuration for the class selection function since that will help interop but
> I can appreciate that is tricky to get consensus on if the existing models/CLIs
> are far apart, and you seem to have taken a pragmatic approach here.
> 
> Regards,
> Rob
> 
> 
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg